be.fgov.ehealth.standards.kmehr.schema.v1

## Class RecipientType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.schema.v1.RecipientType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:00:31+01:00",
                 comments="JAXB RI v2.2.11")
      public class RecipientType
      extends Object
      implements Serializable

  The recipient can be specified by a free combination of hcparty elements (organisation(s), medical specialty(ies), person(s)). If no individual person can be identified as recipient, you should specify a medical specialty or, at least the identification of the organisation that receives the message for further distribution (a regional server for example).

  Java class for recipientType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="recipientType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="hcparty" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}hcpartyType" maxOccurs="unbounded"/>
               <element name="dummyFriend" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecipientType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDummyFriend()` Gets the value of the dummyFriend property.
    `List<HcpartyType>` | `getHcparties()` Gets the value of the hcparties property.
    `void` | `setDummyFriend(String value)` Sets the value of the dummyFriend property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecipientType

          public RecipientType()

  - ### Method Detail

    - #### getHcparties

          public List<HcpartyType> getHcparties()

      Gets the value of the hcparties property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the hcparties property.

      For example, to add a new item, do as follows:

              getHcparties().add(newItem);

      Objects of the following type(s) are allowed in the list `HcpartyType`

    - #### getDummyFriend

          public String getDummyFriend()

      Gets the value of the dummyFriend property.
      Returns:
        possible object is `String`

    - #### setDummyFriend

          public void setDummyFriend(String value)

      Sets the value of the dummyFriend property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.